org.wildfly.swarm.config.elytron

## Class IdentityRealm<T extends IdentityRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.IdentityRealm<T>

-     public class IdentityRealm<T extends IdentityRealm<T>>
      extends Object

  A security realm definition where identities are represented in the management model.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `attributeName()` The name of the attribute associated with this identity.
    `T` | `attributeName(String value)` The name of the attribute associated with this identity.
    `T` | `attributeValue(String value)` The values associated with the identities attribute.
    `List<String>` | `attributeValues()` The values associated with the identities attribute.
    `T` | `attributeValues(List<String> value)` The values associated with the identities attribute.
    `T` | `attributeValues(String... args)` The values associated with the identities attribute.
    `String` | `getKey()`
    `String` | `identity()` The identity available from the security realm.
    `T` | `identity(String value)` The identity available from the security realm.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityRealm

          public IdentityRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### attributeName

          public String attributeName()

      The name of the attribute associated with this identity.

    - #### attributeName

          public T attributeName(String value)

      The name of the attribute associated with this identity.

    - #### attributeValues

          public List<String> attributeValues()

      The values associated with the identities attribute.

    - #### attributeValues

          public T attributeValues(List<String> value)

      The values associated with the identities attribute.

    - #### attributeValue

          public T attributeValue(String value)

      The values associated with the identities attribute.

    - #### attributeValues

          public T attributeValues(String... args)

      The values associated with the identities attribute.

    - #### identity

          public String identity()

      The identity available from the security realm.

    - #### identity

          public T identity(String value)

      The identity available from the security realm.

Copyright © 2018 JBoss by Red Hat. All rights reserved.